<?php

/**
 * @file
 * Contains \Drupal\s3_db_backup\Adapter\BackupDatabaseAdapterInterface
 */

namespace Drupal\s3_db_backup\Adapter;

/**
 * S3DatabaseBackup Adapter Interface.
 */
interface S3DatabaseBackupAdapterInterface {

  /**
   * Performs the export routine for the adapter.
   *
   * @param void
   * @return bool|int
   */
  public function export(): int;

}
